Open Babel: SpaceGroup Class Reference

Public Member Functions | Static Public Member Functions

# SpaceGroup Class Reference

Handle crystallographic space group symmetry. More...

`#include <openbabel/math/spacegroup.h>`

List of all members.

## Public Member Functions
| SpaceGroup ()
| ~SpaceGroup ()
void | SetHMName (const char *name)
void | SetHMName (const std::string &name)
void | SetHallName (const char *name)
void | SetHallName (const std::string &name)
void | SetId (unsigned n)
void | AddTransform (const std::string &s)
const std::string & | GetHMName () const
const std::string & | GetHallName () const
unsigned | GetId () const
std::list< vector3 > | Transform (const vector3 &v) const
transform3d const * | BeginTransform (transform3dIterator &i) const
transform3d const * | NextTransform (transform3dIterator &i) const
void | RegisterSpaceGroup (int nb=0,...)
bool | operator== (const SpaceGroup &) const
int | operator!= (const SpaceGroup &other) const
bool | IsValid () const
## Static Public Member Functions
static const SpaceGroup * | GetSpaceGroup (char const *name)
static const SpaceGroup * | GetSpaceGroup (const std::string &name)
static const SpaceGroup * | GetSpaceGroup (unsigned id)
static const SpaceGroup * | Find (SpaceGroup *group)

## Detailed Description

Handle crystallographic space group symmetry.

Since:
  version 2.2

See also:
  transform3d

## Constructor & Destructor Documentation

SpaceGroup | ( | ) |

~SpaceGroup | ( | ) |

## Member Function Documentation

void SetHMName | ( | const char * | name ) | `[inline]`

void SetHMName | ( | const std::string & | name ) | `[inline]`

void SetHallName | ( | const char * | name ) | `[inline]`

void SetHallName | ( | const std::string & | name ) | `[inline]`

void SetId | ( | unsigned | n ) | `[inline]`

void AddTransform | ( | const std::string & | s ) |

const std::string& GetHMName | ( | ) | const`[inline]`

const std::string& GetHallName | ( | ) | const`[inline]`

unsigned GetId | ( | ) | const`[inline]`

Referenced by SpaceGroup::Find(), OBUnitCell::GetLatticeType(), and OBUnitCell::GetSpaceGroupNumber().

list< vector3 > Transform | ( | const vector3 & | v ) | const

Referenced by OBUnitCell::FillUnitCell().

transform3d const * BeginTransform | ( | transform3dIterator & | i ) | const

transform3d const * NextTransform | ( | transform3dIterator & | i ) | const

const SpaceGroup * GetSpaceGroup | ( | char const * | name ) | `[static]`

Referenced by OBUnitCell::SetSpaceGroup().

const SpaceGroup * GetSpaceGroup | ( | const std::string & | name ) | `[static]`

const SpaceGroup * GetSpaceGroup | ( | unsigned | id ) | `[static]`

const SpaceGroup * Find | ( | SpaceGroup * | group ) | `[static]`

void RegisterSpaceGroup | ( | int | nb = `0`,
|  |  | ...
| ) |  |

bool operator== | ( | const SpaceGroup & | sg ) | const

int operator!= | ( | const SpaceGroup & | other ) | const`[inline]`

bool IsValid | ( | ) | const

Referenced by SpaceGroup::Find().

The documentation for this class was generated from the following files:

- spacegroup.h
- spacegroup.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines